# XQilla Simple API Documentation

# QueryPathTreeFilter.hpp File Reference

`#include <vector>`
`#include <xqilla/events/EventHandler.hpp>`
`#include <xercesc/framework/XMLBuffer.hpp>`
Include dependency graph for QueryPathTreeFilter.hpp:

Go to the source code of this file.

## Classes

class | QueryPathTreeFilter
struct | QueryPathTreeFilter::StackEntry

## Typedefs

typedef std::vector< const QueryPathNode * > | QPNVector

## Typedef Documentation

typedef std::vector<const QueryPathNode *> QPNVector